Subject: Re> Permissions system of moo

From: Byron Montgomerie <[email-masked]>
Date: Wed, 24 Feb 1993 11:49:17 -0800

>Pavel comments:
>
>> Rather than add groups to the system, I intend simply to remove the 
>> current restriction that only `players' can own things.  This will open up 
>> the possibility of creating what I call `corporations,' entities that own 
>> things and have their own separate identities from the set of players who 
>> are their`members.'

That sounds cool.  Might even help with the security involved with moo, depends
on how all the side effects are taken care of.  If I have an object that owns
it's own verbs then the scope of possible abuse is narrowed.  Depends on what
decisions are made when implemented I guess.  Would there be objects with the
equivalent of wiz permissions?!?  Or does that go beyond the scope of the
intention of doing such a thing in the first place?

>Blackbriar comments:
>While I think this sounds like a neat idea, I'm not sure what real use it 
>would be.  The -easiest- way to handle this, it seems, is through multiple 
>ownership, simply put, and this is quite doable in-DB.  It seems that more 
>and more complications would be added if we had to keep track of the `mode' 
>or `corporation' a player's acting in/for at any given time.
>
>Seth / Blackbriar (all i want is diskbasing, mamma)
>

All it takes is for the capability to exist, the applications will follow.  I
like the non-player ownership of stuff just on the idea of it. Perhaps $hacker
verbs could be replaced with the object owning it's own verbs or something.
The $puppet aspect would be neat as well.

On a different note, how doable is some form of symbolic links for moo?  As an
alternative to multiple inheritance if you could just add links to the verbs
you wanted on your object that would behave as if they were @copied to the
parent of the object, ditto for properties.  

Byron...
 __________________________________________________________________________
| __  ///    "Byron Montgomerie"  Internet: [email-masked]   __  /// |
| \\\///      "Does anybody here remember Vera Lynn?               \\\///  |
|  \XX/        How she said that we would meet again,               \XX/   |
|  Amiga       some sunny day..." -- Pink Floyd --                 Amiga   |
 ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~